//
//  DownMenuItem.m
//  CarInsurance
//
//  Created by HaiLai on 17/7/11.
//  Copyright © 2017年 HaiLai. All rights reserved.
//

#import "DownMenuItem.h"
#import "DownMenuHeader.h"
#import "UIView+Extension.h"

@interface DownMenuItem ()
@property (nonatomic,strong) UILabel *titleLB;
@property (nonatomic,strong) UILabel *priceLB;
@end

@implementation DownMenuItem
@synthesize info,isSelected;
@synthesize titleLB,priceLB;

-(void)initilization
{
    self.backgroundColor = [UIColor whiteColor];
    
    titleLB = [[UILabel alloc]init];
    titleLB.frame = CGRectMake(4, 6, 82, 38);
    titleLB.textAlignment = NSTextAlignmentCenter;
    titleLB.font = [UIFont systemFontOfSize:16];
    titleLB.textColor = [UIColor whiteColor];
    titleLB.clipsToBounds = YES;
    titleLB.layer.cornerRadius = 3;
    [self addSubview:titleLB];
    
    priceLB = [[UILabel alloc]init];
    priceLB.frame = CGRectMake(4, 90 - 38 - 6, 82, 38);
    priceLB.textAlignment = NSTextAlignmentCenter;
    priceLB.font = [UIFont systemFontOfSize:16];
    priceLB.textColor = [UIColor blackColor];
    [self addSubview:priceLB];
}


-(instancetype)init
{
    if (self = [super init]) {
        [self initilization];
    }
    return self;
}

-(void)layoutSubviews
{
    [super layoutSubviews];
    
    if (self.height <= 0) {
        self.height = DefaultHeight;
        self.width = self.height;
    }

    NSString *name = [info objectForKey:@"name"] ?: @"一个月";
    NSString *price = [info objectForKey:@"price"] ?: @"300元";
    
    titleLB.text = name;
    priceLB.text = price;
    [self display];
}

-(void)selected
{
    if (!isSelected) {
        isSelected = YES;
        [self display];
    }
}

-(void)unSelected
{
    if (isSelected) {
        isSelected = NO;
        [self display];
    }
}


-(void)display
{
    if (isSelected) {
        [DownMenuItem WFUIaddbordertoView:self radius:4 width:2.0f color:DownMenuItemSelectedColor];
        titleLB.backgroundColor = DownMenuItemSelectedColor;
    }else{
        [DownMenuItem WFUIaddbordertoView:self radius:4 width:2.0f color:DownMenuItemUnSelectedColor];
        titleLB.backgroundColor = DownMenuItemUnSelectedColor;
    }
}


+ (BOOL)WFUIaddbordertoView:(UIView*)view radius:(CGFloat)radius width:(CGFloat)width color:(UIColor*)color
{
    CALayer *layer = [view layer];
    [layer setBorderColor:color.CGColor];
    [layer setBorderWidth:width];
    [layer setCornerRadius:radius];
    [layer setMasksToBounds:YES];
    return YES;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
